Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.trace
Class SelectionEvent

    java.lang.Object
      |
      +--org.apache.xalan.trace.SelectionEvent

public class SelectionEvent
extends java.lang.Object
implements java.util.EventListener

**For advanced use only** Event triggered by selection of a node in the style stree.

Field Summary
`java.lang.String` | `m_attributeName` **For advanced use only** The attribute name from which the selection is made.
`TransformerImpl` | `m_processor` **For advanced use only** The XSLT processor instance.
`XObject` | `m_selection` **For advanced use only** The result of the selection.
`Node` | `m_sourceNode` **For advanced use only** The current context node.
`ElemTemplateElement` | `m_styleNode` **For advanced use only** The node in the style tree where the event occurs.
`XPath` | `m_xpath` **For advanced use only** The XPath that executed the selection.

Constructor Summary
`SelectionEvent(TransformerImpl processor, Node sourceNode, ElemTemplateElement styleNode, java.lang.String attributeName, XPath xpath, XObject selection)` **For advanced use only** Create an event originating at the given node of the style tree.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_styleNode

    public final ElemTemplateElement m_styleNode

  **For advanced use only** The node in the style tree where the event occurs.

### m_processor

    public final TransformerImpl m_processor

  **For advanced use only** The XSLT processor instance.

### m_sourceNode

    public final Node m_sourceNode

  **For advanced use only** The current context node.

### m_attributeName

    public final java.lang.String m_attributeName

  **For advanced use only** The attribute name from which the selection is made.

### m_xpath

    public final XPath m_xpath

  **For advanced use only** The XPath that executed the selection.

### m_selection

    public final XObject m_selection

  **For advanced use only** The result of the selection.

Constructor Detail

### SelectionEvent

    public SelectionEvent(TransformerImpl processor,
                          Node sourceNode,
                          ElemTemplateElement styleNode,
                          java.lang.String attributeName,
                          XPath xpath,
                          XObject selection)

  **For advanced use only** Create an event originating at the given node of the style tree.
  Parameters:
    `processor` - The XSLT Processor.
    `sourceNode` - The current context node.
    `mode` - The current mode.
    `m_styleNode` - node in the style tree reference for the event. Should not be null. That is not enforced.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.